## Namespace doc::util

### Method Summary

Listing of public methods:

> The namespace doc::util currently contains no public methods.

### Method Detail

* indicates required

Private Methods:

set split_name $see_name doc::util::text_divider split_name :: set name_length [llength $split_name] set see_namespace [join [lrange $split_name 0 [expr $name_length - 2]] \"\"] set url \"[doc::util::dbl_colon_fix $see_namespace].html#[set see_name]\"
procedure to deal with @see comments

divides a string variable into a list of strings, all but the first element beginning with the indicated text {marker;} the first element of the created list contains all of the string preceding the first occurrence of the text marker Parameters:
`text` * | name of string variable (not the string value itself)
`marker` * | the string indicating text division
See Also: proc - doc::util::find_marker_indices

escapes out all square brackets

given a body of text and a text marker, returns a list of position indices for each occurrence of the text marker Parameters:
`text` * | body of text to be searched through
`marker` * | the text-divider mark
Returns: list of indices of the position immediately preceding each occurrence of the text marker; if there are no occurrences of the text marker, returns a zero-element list See Also: namespace - doc proc - doc::parse_file doc::parse_namespace doc::util::text_divider

puts a space after all closing curly brackets, does not add a space when brackets are already followed by a space

used to sort the see list, which has structure {[name} name type type url url \] Parameters:
`element1` * | the first of the two list elements to be compared
`element2` * | the second of the two elements to be compared

* indicates required